System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.FontUnitConverter))

For a list of initial property values for an instance of , see the constructor.

Represents the size of a font.

- Constructor
  2.0.0.0

  Use the constructor to create and initialize an instance of the class using the specified font size. The following table shows initial property values for the object that is created.

  Property

  Initial value

  Type

  The value.

  Unit

  A with the property equal to and the property equal to the value.

  Initializes a new instance of the class with the specified font size in points.

  A that specifies the font size.
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified font size.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  Type

  FontSize.AsUnit

  Unit

  A with its property set to the font size specified by the parameter.

  Initializes a new instance of the class with the specified font size.

  The size of the font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The constructor calls the constructor, using the property for the parameter.

  Initializes a new instance of the class with the specified string.

  A string to specify the font size.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified object.

  If the parameter contains the value FontSize.AsUnit, the following table shows the initial property values for an instance of .

  Property

  Initial Value

  Type

  FontSize.AsUnit

  Unit

  A object with its property set to 10.

  If the parameter contains any other value, the following table shows the initial property values for an instance of .

  Property

  Initial Value

  Type

  The value of the parameter.

  Unit

  Initializes a new instance of the class with the specified .

  One of the values.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified .

  If the property of the passed in the parameter is true, the following table shows initial property values for an instance of .

  Property

  Initial Value

  Type

  FontSize.NotSet

  Unit

  If the property of the passed in the parameter is false, the following table shows initial property values for an instance of .

  Property

  Initial Value

  Type

  FontSize.AsUnit

  Unit

  The value of the parameter.

  Initializes a new instance of the class with the specified .

  A that specifies the font size.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0

  Use the constructor to create and initialize an instance of the class using the specified font size and measuring unit, such as point or pixel.

  The following table shows the initial property values for a object.

  Property

  Initial Value

  Type

  The value.

  Unit

  A with the property equal to and the property equal to .

  Initializes a new instance of the class with the specified font size and value.

  A that specifies the font size.
  A to specify the units of the size.
- Constructor

  The constructor recognizes the strings for that are shown in the following table to create a new instance of the class.

  String value

  xx-small, xxsmall

  x-small, xsmall

  x-large, xlarge

  xx-large, xxlarge

  small

  smaller

  large

  larger

  medium

  In all cases, the property has the value . The string comparison is case insensitive.

  For all other values of , a new instance of the class is created by treating as a font size and setting the property to .

  Initializes a new instance of the class with the specified string using the specified object.

  A string to specify the font size.
  A used to make string comparisons.
  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent an empty object. No HTML rendered output is created when this field is used.

  Represents an empty object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the specified is equivalent to the instance of the class that this method is called from. For the specified to be equivalent, the object must be a that contains the same values for the and properties as the instance of the class that this method is called from.

  Determines whether the specified is equivalent to the instance of the class that this method is called from.

  true if the specified is equivalent to the instance of the class that this method is called from; otherwise, false.

  A that contains the object to compare to this instance. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer that represents the hash code.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Use the property to determine whether the font size has been set.

  Gets a value that indicates whether the font size has been set.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.Large.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:Large". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="5">.

  Represents a object with the property set to FontSize.Large.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.Larger.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:Larger". In browsers earlier than Internet Explorer 4.0, no HTML rendered output is created.

  Some browers do not recognize the font size. Check your browser for compatibility.

  Represents a object with the property set to FontSize.Larger.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.Medium.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:Medium". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="4">.

  Represents a object with the property set to FontSize.Medium.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  For the objects to be equivalent, each object must have the same values for the and properties.

  Compares two objects for equality.

  true if both objects are equal; otherwise, false.

  A on the left of the operator that contains font properties. A on the right of the operator that contains font properties. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.FontUnit `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  For the objects to be not equal to each other, each object must either have different values for the property or the property.

  Compares two objects for inequality.

  true if both objects are not equal; otherwise, false.

  A that contains font properties on the left of the operator. A that contains font properties on the right of the operator. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.FontUnit ``

  Use the static method to convert the specified string to its equivalent.

  If the value of the parameter is not null, not , and a valid value, the following table shows initial property values for the new instance of .

  Property

  Initial Value

  Type

  The enumeration equivalent of the parameter.

  Unit

  If the value of the parameter is not null, not , and an invalid value, the following table shows initial property values for the new instance of .

  Property

  Initial Value

  Type

  FontSize.AsUnit

  Unit

  A object with its property initialized with the parameter in the current thread's culture.

  If the value of the parameter is null or , the following table shows initial property values for the new instance of .

  Property

  Initial Value

  Type

  FontSize.NotSet

  Unit

  Converts the specified string to its equivalent.

  A that represents the font size specified by the parameter.

  A string representation of one of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.FontUnit `` ``

  Use the static method to convert the specified string and culture to its equivalent.

  If the value of the parameter is not null, not , and a valid value, the following table shows initial property values for the new instance of .

  Property

  Initial Value

  Type

  The enumeration equivalent of the parameter.

  Unit

  If the value of the parameter is not null, not , and an invalid value, the following table shows initial property values for the new instance of .

  Property

  Initial Value

  Type

  FontSize.AsUnit

  Unit

  A object with its property initialized with the parameter in the specified culture.

  If the value of the parameter is null or , the following table shows initial property values for an instance of .

  Property

  Initial Value

  Type

  FontSize.NotSet

  Unit

  Converts the specified string to its equivalent in the specified culture.

  A that represents the font size specified by the parameter in the culture specified by the parameter.

  A string representation of one of the values. A that represents the culture of the object. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.FontUnit ``

  Use the static method to create a that represents the font size specified by the parameter.

  Creates a of type from an integer value.

  A that represents the font size specified by the parameter.

  An integer representing the value to convert to a . 1.0.5000.0 2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.Small.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:Small". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="3">.

  Represents a object with the property set to FontSize.Small.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.Smaller.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:Smaller". In browsers earlier than Internet Explorer 4.0, no HTML rendered output is created.

  Some browers do not recognize the font size. Check your browser for compatibility.

  Represents a object with the property set to FontSize.Smaller.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Use the method to retrieve the string representation of the . If the property is set to FontSize.AsUnit, the returned string is the string equivalent of the contained in the property. If the property is set to any other value, the returned string is the string equivalent of the value.

  Converts the object to the default string representation.

  The string representation of the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  Use the method to retrieve the string representation of the in the specified culture. If the property is set to FontSize.AsUnit, the returned string is the string equivalent of the contained in the property. If the property is set to any other value, the returned string is the string equivalent of the value.

  Converts the object to a string representation, using the specified .

  The string representation of the object in the specified culture.

  A that contains the culture to represent the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.String `` To be added.

  Use the method to retrieve the string representation of the object using a culture-specific format provider for any numeric values that are in the string.

  If the property is set to the value, the returned string is the string equivalent of the unit value that is contained in the property. The numeric portion of the value is formatted using the specified . In other words, when the property is set to the value, the returned string representation is generated using the method on the unit object that is stored in the property.

  If the property is set to any other value, the returned string is the string equivalent of the value.

  Converts a object to a string equivalent using the specified format provider.

  A string that represents this , with any numeric unit value in the format specified by .

- Property
  System.Web.UI.WebControls.FontSize To be added: an object of type 'FontSize'

  Use the property to retrieve a enumeration value that represents the font size.

  Gets a enumeration value that represents the font size.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.WebControls.Unit To be added: an object of type 'Unit'

  Use the property to retrieve a that represents the font size.

  Gets a that represents the font size.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.XLarge.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:X-Large". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="6">.

  Represents a object with the property set to FontSize.XLarge.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.XSmall.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:X-Small". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="2">.

  Represents a object with the property set to FontSize.XSmall.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.XXLarge.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:XX-Large". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="7">.

  Represents a object with the property set to FontSize.XXLarge.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.FontUnit

  Use the field to represent a object with the property set to FontSize.XXSmall.

  In Internet Explorer 4.0 and later, the HTML rendered output from a control with the property set to this field is style= "font-size:XX-Small". In browsers earlier than Internet Explorer 4.0, the HTML rendered output is <font size="1">.

  Represents a object with the property set to FontSize.XXSmall.

  1.0.5000.0
  2.0.0.0